package com.hzya.frame.sys.userViewFiled.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.userViewFiled.dao.IUserViewFiledMapper;
import com.hzya.frame.sys.userViewFiled.entity.UserViewFiled;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 个人显示字段表  dao
 * @tableName: sys_user_view_filed
 * @entityName: UserViewFiled
 * @author: gjh
 * @history:1.0
 */
@Service
public class UserViewFiledMapperImpl extends MybatisGenericDao<UserViewFiled, String> implements IUserViewFiledMapper {

    @Override
    public UserViewFiled entity_get(String id) {

        UserViewFiled o = (UserViewFiled) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<UserViewFiled> entity_list_base(UserViewFiled entity) {

        List<UserViewFiled> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(UserViewFiled entity) {

        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<UserViewFiled> entity_list_like(UserViewFiled entity) {

        List<UserViewFiled> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<UserViewFiled> entity_list_or(UserViewFiled entity) {

        List<UserViewFiled> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public Integer entity_insert(UserViewFiled entity) {

        Integer o = super.insert(getSqlIdPrifx() + "entity_insert", entity);
        return o;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(UserViewFiled entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(UserViewFiled entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(UserViewFiled entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(UserViewFiled entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;
    }

    @Override
    public int logicRemoveMultiCondition(String id, UserViewFiled o) {
        return 0;
    }
}
